> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easierprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Order Updates

> Real-time order events — new fills, modifications, and closures.
Order data is wrapped in a `data` field containing the full order object.

**Channel name:** `orders`
**Required:** `account_id`




## AsyncAPI

````yaml asyncapi-spec/websockets.yaml orders
id: orders
title: Order Updates
description: |
  Real-time order events — new fills, modifications, and closures.
  Order data is wrapped in a `data` field containing the full order object.

  **Channel name:** `orders`
  **Required:** `account_id`
servers:
  - id: production
    protocol: wss
    host: api.easierprop.com
    bindings: []
    variables: []
address: /ws
parameters: []
bindings: []
operations:
  - &ref_2
    id: subscribeOrders
    title: Subscribe orders
    description: Subscribe to order updates
    type: receive
    messages:
      - &ref_4
        id: subscribe
        contentType: application/json
        payload:
          - name: Subscribe
            description: Subscribe to a channel
            type: object
            properties:
              - name: type
                type: string
                description: subscribe
                required: true
              - name: channel
                type: string
                description: Channel to subscribe to
                enumValues:
                  - quotes
                  - orders
                  - profit
                  - heartbeat
                  - new_position
                  - ohlc
                  - order_book
                  - tick_value
                required: true
              - name: account_id
                type: string
                description: MT5 account ID
                required: true
              - name: symbols
                type: array
                description: >-
                  Required for quotes and order_book. For ohlc and tick_value,
                  the first symbol is used.
                examples: &ref_0
                  - - EURUSD
                    - GBPUSD
                required: false
                properties:
                  - name: item
                    type: string
                    required: false
              - name: interval_ms
                type: integer
                description: >-
                  Minimum milliseconds between updates. For ohlc, this value is
                  interpreted as timeframe in minutes.
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          required:
            - type
            - channel
            - account_id
          properties:
            type:
              type: string
              const: subscribe
              x-parser-schema-id: <anonymous-schema-2>
            channel:
              type: string
              enum:
                - quotes
                - orders
                - profit
                - heartbeat
                - new_position
                - ohlc
                - order_book
                - tick_value
              description: Channel to subscribe to
              x-parser-schema-id: <anonymous-schema-3>
            account_id:
              type: string
              format: uuid
              description: MT5 account ID
              x-parser-schema-id: <anonymous-schema-4>
            symbols:
              type: array
              items:
                type: string
                x-parser-schema-id: <anonymous-schema-6>
              description: >-
                Required for quotes and order_book. For ohlc and tick_value, the
                first symbol is used.
              examples: *ref_0
              x-parser-schema-id: <anonymous-schema-5>
            interval_ms:
              type: integer
              description: >-
                Minimum milliseconds between updates. For ohlc, this value is
                interpreted as timeframe in minutes.
              default: 500
              x-parser-schema-id: <anonymous-schema-7>
          examples:
            - type: subscribe
              channel: quotes
              account_id: 70f60784-20f1-45ba-9a04-8e01c0b810c3
              symbols:
                - EURUSD
                - GBPUSD
              interval_ms: 500
          x-parser-schema-id: <anonymous-schema-1>
        title: Subscribe
        description: Subscribe to a channel
        example: |-
          {
            "type": "subscribe",
            "channel": "quotes",
            "account_id": "70f60784-20f1-45ba-9a04-8e01c0b810c3",
            "symbols": [
              "EURUSD",
              "GBPUSD"
            ],
            "interval_ms": 500
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: subscribe
    bindings: []
    extensions: &ref_1
      - id: x-parser-unique-object-id
        value: orders
  - &ref_3
    id: receiveOrders
    title: Receive orders
    description: Receive order events
    type: send
    messages:
      - &ref_5
        id: event
        contentType: application/json
        payload:
          - name: Order Update
            description: >-
              Order opened, modified, or closed (data wrapper contains the full
              order object)
            type: object
            properties:
              - name: type
                type: string
                description: order_update
                required: false
              - name: account_id
                type: string
                required: false
              - name: data
                type: object
                description: Full order object
                required: false
                properties:
                  - name: ticket
                    type: integer
                    required: false
                  - name: symbol
                    type: string
                    required: false
                  - name: orderType
                    type: string
                    required: false
                  - name: lots
                    type: number
                    required: false
                  - name: openPrice
                    type: number
                    required: false
                  - name: profit
                    type: number
                    required: false
                  - name: swap
                    type: number
                    required: false
                  - name: commission
                    type: number
                    required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            type:
              type: string
              const: order_update
              x-parser-schema-id: <anonymous-schema-19>
            account_id:
              type: string
              format: uuid
              x-parser-schema-id: <anonymous-schema-20>
            data:
              type: object
              description: Full order object
              properties:
                ticket:
                  type: integer
                  example: 12345678
                  x-parser-schema-id: <anonymous-schema-22>
                symbol:
                  type: string
                  example: EURUSD
                  x-parser-schema-id: <anonymous-schema-23>
                orderType:
                  type: string
                  example: Buy
                  x-parser-schema-id: <anonymous-schema-24>
                lots:
                  type: number
                  example: 0.01
                  x-parser-schema-id: <anonymous-schema-25>
                openPrice:
                  type: number
                  example: 1.08542
                  x-parser-schema-id: <anonymous-schema-26>
                profit:
                  type: number
                  example: 3.2
                  x-parser-schema-id: <anonymous-schema-27>
                swap:
                  type: number
                  example: 0
                  x-parser-schema-id: <anonymous-schema-28>
                commission:
                  type: number
                  example: -0.07
                  x-parser-schema-id: <anonymous-schema-29>
              x-parser-schema-id: <anonymous-schema-21>
          x-parser-schema-id: <anonymous-schema-18>
        title: Order Update
        description: >-
          Order opened, modified, or closed (data wrapper contains the full
          order object)
        example: |-
          {
            "type": "<string>",
            "account_id": "<string>",
            "data": {
              "ticket": 123,
              "symbol": "<string>",
              "orderType": "<string>",
              "lots": 123,
              "openPrice": 123,
              "profit": 123,
              "swap": 123,
              "commission": 123
            }
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: event
    bindings: []
    extensions: *ref_1
sendOperations:
  - *ref_2
receiveOperations:
  - *ref_3
sendMessages:
  - *ref_4
receiveMessages:
  - *ref_5
extensions:
  - id: x-parser-unique-object-id
    value: orders
securitySchemes:
  - id: ApiKeyAuth
    name: apiKey
    type: httpApiKey
    description: >-
      API key passed as query parameter:
      wss://api.easierprop.com/ws?apiKey=sk_your_key
    in: query
    extensions: []

````